python安装module找不到匹配版本(ERROR: No matching distribution found for ***)

菠萝饭 83 2022-01-13

前言

昨天在运行一个python项目时提示缺少module,使用pip install pyyaml安装却一直无法安装,提示查不到匹配模块

No matching distribution found for pyyaml

解决办法

引用国内镜像安装

pip install pyyaml  -i http://pypi.douban.com/simple/ --trusted-host pypi.douban.com

现做简单总结,以备后用


# 实际问题